summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexandre Rostovtsev <tetromino@gentoo.org>2016-06-27 10:20:25 -0400
committerAlexandre Rostovtsev <tetromino@gentoo.org>2016-06-27 10:20:25 -0400
commit3439435c15008cc62aaee84f82cf3a8c0df0ee1f (patch)
treed4c44f0a5ce36a1ebffa685429974ad9cef3eaa2
parentgnome-base/gnome-shell: fix nvidia-drivers crash (bug #587110) (diff)
downloadgentoo-3439435c15008cc62aaee84f82cf3a8c0df0ee1f.tar.gz
gentoo-3439435c15008cc62aaee84f82cf3a8c0df0ee1f.tar.bz2
gentoo-3439435c15008cc62aaee84f82cf3a8c0df0ee1f.zip
x11-themes/gnome-themes-standard: bump to 3.20.2
Package-Manager: portage-2.3.0
-rw-r--r--x11-themes/gnome-themes-standard/Manifest1
-rw-r--r--x11-themes/gnome-themes-standard/gnome-themes-standard-3.20.2.ebuild84
2 files changed, 85 insertions, 0 deletions
diff --git a/x11-themes/gnome-themes-standard/Manifest b/x11-themes/gnome-themes-standard/Manifest
index 4a6c5da4b73..341db5dd78c 100644
--- a/x11-themes/gnome-themes-standard/Manifest
+++ b/x11-themes/gnome-themes-standard/Manifest
@@ -1,2 +1,3 @@
DIST gnome-themes-standard-3.16.2.tar.xz 2866556 SHA256 59eb79a59d44b5cd8daa8de1e7559fb5186503dcd78e47d0b72cb896d8654b9f SHA512 483e63e1f01d6a0c26a07def12f19d59406a2f89202db599876cff8542215b4d5eb8a054805eb16a4e027c76399f4bb498ed326e136ecf482c71f5a0b8cb5556 WHIRLPOOL ce585f3f17220538bbea025c201b3939a69b3dfba4186fc6312c63ea4e290a3dbfd526f93f0f3396e92b2e57908a936c442278a7a5323c0c0c0c571337a2caf8
DIST gnome-themes-standard-3.18.0.tar.xz 2866336 SHA256 e646eb04c225282b7df7fff65741adaad4cf9ed2c12616b7310e7edd27d2bacb SHA512 67f0c674dd673a578093248fddb4637bd4f06f9f2eee9b5cd68218ea46790b76105a76e8c35e900170f4f76fd1b0eea4f48845c8414e3a71caa297f1c1c94d98 WHIRLPOOL 5aa52fdd333d5d6a833b78ff3e6d67a43a4459152a88d0d1734712c3b04070f8584175a1443dbe1983aa8f97e6bbb82285de3d52b700145ffb8fd0ff16bc37b1
+DIST gnome-themes-standard-3.20.2.tar.xz 2878508 SHA256 9d0d9c4b2c9f9008301c3c1878ebb95859a735b7fd4a6a518802b9637e4a7915 SHA512 ce6dd2697e4afd5f36b6c362086eb5d5f3732ab863770f024e4970b2f7399b8ae6e49241de99bf8b558e4d80869ec1002d817f3dd9e7b8fbf9ea8da5a1d386fc WHIRLPOOL aa3e2f2f8a845cf6d1d09726cb58b113a8f4d6cf0cbf04b450602ba8ff17668dd827e0c2de40326f1a388d9a8998e03db4c301395a2e41ec3666e0c40cd23883
diff --git a/x11-themes/gnome-themes-standard/gnome-themes-standard-3.20.2.ebuild b/x11-themes/gnome-themes-standard/gnome-themes-standard-3.20.2.ebuild
new file mode 100644
index 00000000000..e327e86733d
--- /dev/null
+++ b/x11-themes/gnome-themes-standard/gnome-themes-standard-3.20.2.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2 multilib-minimal
+
+DESCRIPTION="Standard Themes for GNOME Applications"
+HOMEPAGE="https://git.gnome.org/browse/gnome-themes-standard/"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="+gtk"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux ~x64-solaris ~x86-solaris"
+
+COMMON_DEPEND="
+ gnome-base/librsvg:2[${MULTILIB_USEDEP}]
+ x11-libs/cairo[${MULTILIB_USEDEP}]
+ gtk? (
+ >=x11-libs/gtk+-2.24.15:2[${MULTILIB_USEDEP}]
+ >=x11-libs/gtk+-3.12:3[${MULTILIB_USEDEP}] )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.40
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+# gnome-themes{,-extras} are OBSOLETE for GNOME 3
+# http://comments.gmane.org/gmane.comp.gnome.desktop/44130
+# Depend on gsettings-desktop-schemas-3.4 to make sure 3.2 users don't lose
+# their default background image
+RDEPEND="${COMMON_DEPEND}
+ >=gnome-base/gsettings-desktop-schemas-3.4
+ !<x11-themes/gnome-themes-2.32.1-r1
+"
+
+src_prepare() {
+ # https://bugzilla.gnome.org/show_bug.cgi?id=746920
+ eapply "${FILESDIR}/${PN}-3.14.2.3-srcdir.patch"
+ eautoreconf
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ # The icon cache needs to be generated in pkg_postinst()
+ ECONF_SOURCE="${S}" \
+ gnome2_src_configure \
+ --disable-static \
+ $(use_enable gtk gtk2-engine) \
+ $(use_enable gtk gtk3-engine) \
+ GTK_UPDATE_ICON_CACHE=$(type -P true)
+}
+
+emake_engines_only() {
+ pushd themes/Adwaita/gtk-2.0 > /dev/null || die
+ if [[ $1 = install ]]; then
+ emake DESTDIR="${D}" install-engineLTLIBRARIES
+ else
+ emake libadwaita.la
+ fi
+ popd > /dev/null
+}
+
+multilib_src_compile() {
+ # processing >3500 icons is slow on old hard drives, do it only for native ABI
+ if multilib_is_native_abi; then
+ gnome2_src_compile
+ elif use gtk; then
+ emake_engines_only
+ fi
+}
+
+multilib_src_install() {
+ # processing >3500 icons is slow on old hard drives, do it only for native ABI
+ if multilib_is_native_abi; then
+ gnome2_src_install
+ elif use gtk; then
+ emake_engines_only install
+ prune_libtool_files --modules
+ fi
+}